
    <div class="pt-3 pb-1" id="breadcrumbs-wrapper">
        <!-- Search for small screen-->
        <div class="container">
          <div class="row">
            <div class="col s12 m6 l6">
              <h5 class="breadcrumbs-title mt-0 mb-0"><span>Liste des options</span></h5>
            </div>
            <div class="col s12 m6 l6 right-align-md">
              <ol class="breadcrumbs mb-0">
                <li class="breadcrumb-item"><a [routerLink]="['/DashbordReservation']">Acceuil</a>
                </li>
                <li class="breadcrumb-item">options
                </li>
                <li class="breadcrumb-item active"> Liste des options
                </li>
              </ol>
            </div>
          </div>
        </div>
      </div>
     
          <div class="section section-data-tables">
  
  
  <!-- Page Length Options -->
  <div class="row">
  <div class="col s12">
    <div class="card">
      <div class="card-content">
       
        <a class=" modal-trigger" href="#modal1" (click)="initi()">
            <button class="btn cyan waves-effect waves-light right" type="submit" name="action">Ajouter
               <i class="material-icons right">add</i>
             </button>
             </a>
        <br/>
      
        <br/>
        <div class="row">
          <div class="col s12">
            <table id="page-length-option" class="display">
              <thead>
                <tr>
                  <th>Nom</th>
                  <th>Prix</th>
                 
                  <th>Action</th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let o of options; index as i;">
                  
  
                  <td>{{o.nom}}</td>
                  <td>{{o.prix}}</td>
                
                  <td> <a class='dropdown-trigger' href='#' [attr.data-target]="'dropdown' + i">
                      <i class="material-icons">arrow_drop_down</i>
                    </a>
                    <ul id='dropdown{{i}}' class='dropdown-content' >
                    <li><a class="modal-trigger" (click)="getOne(o.id)" href="#modal2"> Modifier</a></li>
                    <li><a class="modal-trigger" (click)="delete(o.id)"> Supprimper</a></li>
                    </ul></td>
                
                
                
              </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
  </div>
  
  
    
  </div><!-- START RIGHT SIDEBAR NAV -->
  
  <div id="modal1" class="modal" style="width: 40%;">
    <form #f="ngForm" (ngSubmit)="save(f.value)" > 
    <div class="modal-content" style="margin-left: 50px; margin-right: 50px;">
      <h5>Ajouter un option
      </h5>
      <br>
      
     
     <div class="row">
      <div class="input-field col m6 s6">
          <input type="text" class="validate" name="nom" #nom="ngModel" [(ngModel)]="option.nom"  required >
          <label for="nbrporte">Nom</label>
          <small  class="errorTxt1" *ngIf="nom.touched  &&  nom.invalid" ><div id="uname-error" class="error">saisir votre nom</div></small>

      </div>
      <div class="input-field col m6 s6">
          <input type="text" class="validate" name="prix" #prix="ngModel" [(ngModel)]="option.prix"  required  >
          <label for="nbrporte">Prix</label>
          <small  class="errorTxt1" *ngIf="prix.touched  &&  prix.invalid" ><div id="uname-error" class="error">saisir votre prix</div></small>

      </div>
     </div>
    
  
      <div class="modal-footer">
          <button [disabled]="f.invalid" class="btn cyan waves-effect waves-light right" type="submit" name="action">Ajouter
             <i class="material-icons right">send</i>
           </button>
       </div>
  
  </div>
  </form> 
  
  </div>


  <div id="modal2" class="modal" style="width: 40%;">
    <form #fu="ngForm" (ngSubmit)="update(fu.value)" > 
    <div class="modal-content" style="margin-left: 50px; margin-right: 50px;">
      <h5>modifier une option
      </h5>
      <br>
      
     
     <div class="row">
      <div class="input-field col m6 s6">
        <label for="nbrporte">Nom</label><br/>
          <input type="text" name="nom" #nom="ngModel" [(ngModel)]="option.nom"  required >
  
      </div>
      <div class="input-field col m6 s6">
        <label for="nbrporte">Prix</label><br/>
          <input type="text" name="prix" #prix="ngModel" [(ngModel)]="option.prix"  required  >
  
      </div>
     </div>
    
  
      <div class="modal-footer">
          <button  class="btn cyan waves-effect waves-light right" type="submit" name="action">Modifier
             <i class="material-icons right">send</i>
           </button>
       </div>
  
  </div>
  </form> 
  
  </div>